Subject: RE: Tasters next Thursday! (11-16-00)
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 10 Nov 2000 07:25:00 -0800 (PST)

I know some of you may think I've dropped off the face of the earth, but 
believe it or not I am still alive.  As usual, I would love to meet you guys 
next Thursday and plan on doing so.  However, I do reserve the right to bail 
last minute due to work.  

Susan

- - By the way, for those how look forward to Susan stories I've got tons....

(Sorry for sending this to you twice Jen.)